//+------------------------------------------------------------------+
//|                                                   ContrarianShot |
//|                                                           by uzi |
//|                                                                  |
//+------------------------------------------------------------------+

#property copyright "by uzi"
#property strict
//#property script_show_inputs

//--- input parameters
input double lotSize =  0.01;
input double takePip =  2.5;
input double stopPip =  0.0;

//-------------------------------------------------------------------+
//| Script program start function                                    |
//+------------------------------------------------------------------+

void OnStart()
{
   //---
   string           www  = "by uzi";
   if (ObjectFind  (www) < 0)
   {
      ObjectCreate (www, OBJ_LABEL,    0, 0, 0);
      ObjectSet    (www, OBJPROP_BACK,       true);
      ObjectSet    (www, OBJPROP_CORNER,     CORNER_RIGHT_LOWER);
      ObjectSet    (www, OBJPROP_SELECTABLE, false);
      ObjectSet    (www, OBJPROP_XDISTANCE,  25);
      ObjectSet    (www, OBJPROP_YDISTANCE,  10);
      ObjectSetText(www, www, 10, "Tahoma",  clrOrange);
   }
   Comment(WindowExpertName() + " Trading System");

   int ticket = OrderSend(Symbol(), OP_SELL, lotSize, Bid, 0, 0, 0, "ShootSell");

   if (ticket < 0)
   {
      Alert(Symbol() + " ShootSell Open ERROR " + IntegerToString(GetLastError()));
   }   
   else
   {
      if (!OrderSelect(ticket, SELECT_BY_TICKET, MODE_TRADES))
      {
         Alert(Symbol() + " ShotSell SELECT ERROR " + IntegerToString(GetLastError()));
         return;
      }

      double pip  = MarketInfo(Symbol(), MODE_POINT)*MathPow(10, MathMod(MarketInfo(Symbol(), MODE_DIGITS), 2));
      
      double            takePrice = 0.0;
      if (takePip == 0) takePrice = 0.0;
      else              takePrice = NormalizeDouble(OrderOpenPrice() - takePip*pip, Digits);

      double            stopPrice = 0.0;
      if (stopPip == 0) stopPrice = 0.0;
      else              stopPrice = NormalizeDouble(OrderOpenPrice() + stopPip*pip, Digits);

      if (!OrderModify(ticket, OrderOpenPrice(), stopPrice, takePrice, 0))
      {
         Alert(Symbol() + " SELL TAKE/STOP MODIFY ERROR " + IntegerToString(GetLastError()));
         return;
      }
   }   
}

//+------------------------------------------------------------------+
